#ifndef BESSEL_H_
#define BESSEL_H_
#include "unifloat.h"

Unifloat* j0_UF(Unifloat* x);
Unifloat* j1_UF(Unifloat* x);
Unifloat* jn_UF(int n, Unifloat* x);
Unifloat* jnPowerSeries_UF(int n, Unifloat* x);
Unifloat* jnHankel_UF(int n, Unifloat* x);
Unifloat* jnSteed_UF(int n, Unifloat* x);
Unifloat* jnMeisselFirst_UF(int n, Unifloat* x);
Unifloat* jnMeisselSecond_UF(int n, Unifloat* x);
Unifloat* jnRecurrent_UF(int n, Unifloat* x);

Unifloat* y0_UF(Unifloat* x);
Unifloat* y1_UF(Unifloat* x);
Unifloat* yn_UF(int n, Unifloat* x);
Unifloat* ynPowerSeries_UF(int n, Unifloat* x);
Unifloat* ynHankel_UF(int n, Unifloat* x);
Unifloat* ynSteed_UF(int n, Unifloat* x);
Unifloat* ynMeisselFirst_UF(int n, Unifloat* x);
Unifloat* ynMeisselSecond_UF(int n, Unifloat* x);
Unifloat* ynRecurrent_UF(int n, Unifloat* x);

int getMethod_UF(int n, Unifloat* x);
Unifloat* power_UF(int n, Unifloat* x);
Unifloat* factorialSeries_UF(int n);

#endif// BESSEL_H_
